## arcboot 0.3.8.8

=== e2fslib/Makefile ===
# Generated automatically from Makefile.in by configure.
srcdir = .
top_srcdir = ../..
top_builddir = ../..
my_dir = lib/ext2fs
INSTALL = /usr/bin/install -c


# Beginning of file MCONFIG

all::

check::

SHELL = /bin/sh

prefix = /usr
root_prefix = 
exec_prefix = ${prefix}
root_bindir = $(root_prefix)/bin
root_sbindir = $(root_prefix)/sbin
root_libdir = $(root_prefix)/lib
bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
mandir = ${prefix}/man
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
man8dir = $(mandir)/man8
infodir = ${prefix}/info
datadir = ${prefix}/share



INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
CC = cc
BUILD_CC = cc
DEFS =  -DENABLE_SWAPFS=1 -DPACKAGE=\"e2fsprogs\" -DVERSION=\"1.25\" -DSTDC_HEADERS=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_UNISTD_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_ARGZ_H=1 -DHAVE_LIMITS_H=1 -DHAVE_LOCALE_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETCWD=1 -DHAVE_MUNMAP=1 -DHAVE_PUTENV=1 -DHAVE_SETENV=1 -DHAVE_SETLOCALE=1 -DHAVE_STRCHR=1 -DHAVE_STRCASECMP=1 -DHAVE_STRDUP=1 -DHAVE___ARGZ_COUNT=1 -DHAVE___ARGZ_STRINGIFY=1 -DHAVE___ARGZ_NEXT=1 -DHAVE_STPCPY=1 -DHAVE_STPCPY=1 -DHAVE_LC_MESSAGES=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDARG_H=1 -DHAVE_ERRNO_H=1 -DHAVE_MALLOC_H=1 -DHAVE_MNTENT_H=1 -DHAVE_PATHS_H=1 -DHAVE_DIRENT_H=1 -DHAVE_GETOPT_H=1 -DHAVE_SETJMP_H=1 -DHAVE_SIGNAL_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_LINUX_FD_H=1 -DHAVE_LINUX_MAJOR_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_MOUNT_H=1 -DHAVE_SYS_SYSMACROS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_NET_IF_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_VPRINTF=1 -DHAVE_LSEEK64_PROTOTYPE=1 -DSIZEOF_SHORT=2 -DSIZEOF_INT=4 -DSIZEOF_LONG=4 -DSIZEOF_LONG_LONG=8 -DWORDS_BIGENDIAN=1 -DHAVE_GETRUSAGE=1 -DHAVE_LLSEEK=1 -DHAVE_LSEEK64=1 -DHAVE_OPEN64=1 -DHAVE_STRCASECMP=1 -DHAVE_SRANDOM=1 -DHAVE_FCHOWN=1 -DHAVE_MALLINFO=1 -DHAVE_FDATASYNC=1 -DHAVE_STRNLEN=1 -DHAVE_EXT2_IOCTLS=1 
CFLAGS = -g -O  -G 0 -fno-pic -mno-abicalls
CPPFLAGS = 
ALL_CFLAGS = $(CPPFLAGS) $(DEFS) $(USE_WFLAGS) $(CFLAGS) $(XTRA_CFLAGS) \
	-I. $(LINUX_INCLUDE) 
LDFLAGS = 
ALL_LDFLAGS = $(LDFLAGS)
RM = /bin/rm
LN = /bin/ln
LN_S = ln -s
MV = /bin/mv
CP = /bin/cp
CHMOD = /bin/chmod
AR = ar
AWK = /usr/bin/awk
SED = /bin/sed
PERL = /usr/bin/perl
RANLIB = ranlib
STRIP = strip
LD = $(PURE) cc
ARUPD = $(AR) r
LDCONFIG = :

#
# Library definitions
#
LIB = $(top_builddir)/lib
LIBSS = $(LIB)/libss.a
LIBCOM_ERR = $(LIB)/libcom_err.a
LIBE2P = $(LIB)/libe2p.a
LIBEXT2FS = $(LIB)/libext2fs.a
LIBUUID = $(LIB)/libuuid.a  
DEPLIBUUID = $(LIB)/libuuid.a

STATIC_LIBSS = $(LIB)/libss.a
STATIC_LIBCOM_ERR = $(LIB)/libcom_err.a
STATIC_LIBE2P = $(LIB)/libe2p.a
STATIC_LIBEXT2FS = $(LIB)/libext2fs.a
STATIC_LIBUUID = $(LIB)/libuuid.a  
DEPSTATIC_LIBUUID = $(LIB)/libuuid.a

PROFILED_LIBSS = $(LIB)/libss
PROFILED_LIBCOM_ERR = $(LIB)/libcom_err
PROFILED_LIBE2P = $(LIB)/libe2p
PROFILED_LIBEXT2FS = $(LIB)/libext2fs
PROFILED_LIBUUID = $(LIB)/libuuid  
DEPPROFILED_LIBUUID = $(LIB)/libuuid

#
# Use these definitions if you use tools 2.16 or above
#
DLL_BIN=/usr/bin
JUMP_PREFIX=/usr/bin/jump

# An include directive pointing to a directory holding enough linux-like
# include files to satisfy some programs here
LINUX_INCLUDE=

#
# A fast substitution command for fixing up man pages, shell scripts, etc.
#
SUBST_CONF=util/subst.conf
SUBSTITUTE=util/subst -f $(SUBST_CONF)
DEP_SUBSTITUTE=util/subst $(SUBST_CONF)

$(top_builddir)/util/subst:
	cd $(top_builddir)/util ; $(MAKE) subst

#
# Warning flags
#
# Run make gcc-wall to do a build with warning messages.
#
#
WFLAGS=		-ansi -D_POSIX_SOURCE -pedantic \
			-Wall -Wwrite-strings -Wpointer-arith \
			-Wcast-qual -Wcast-align -Wtraditional \
			-Wstrict-prototypes -Wmissing-prototypes \
			-Wnested-externs -Winline -DNO_INLINE_FUNCS -Wshadow 

gcc-wall-new:
	(make USE_WFLAGS="$(WFLAGS)" > /dev/null) 2>&1 | sed -f $(top_srcdir)/util/gcc-wall-cleanup 

gcc-wall:
	make clean > /dev/null
	make gcc-wall-new

#
# Installation user and groups
#
BINGRP=		bin
BINOWN=		bin
BINMODE=	555
INCGRP=		bin
INCOWN=		bin
INCMODE=	444
LIBOWN=		bin
LIBGRP=		bin
LIBMODE=	444
MANGRP=		bin
MANOWN=		bin
MANMODE=	444

#
# Autoconf magic...
#

DEP_LIB_MAKEFILES = $(top_srcdir)/lib/Makefile.elf-lib  \
	$(top_srcdir)/lib/Makefile.dll-lib $(top_srcdir)/lib/Makefile.bsd-lib \
	$(top_srcdir)/lib/Makefile.checker $(top_srcdir)/lib/Makefile.profile

$(top_builddir)/config.status: $(top_srcdir)/configure
	cd $(top_builddir); ./config.status --recheck

$(top_builddir)/lib/substitute_sh: $(top_srcdir)/lib/substitute_sh.in \
		$(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=lib/substitute_sh ./config.status

$(top_builddir)/util/subst.conf: $(top_srcdir)/util/subst.conf.in \
		$(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=util/subst.conf ./config.status

$(top_srcdir)/configure: $(top_srcdir)/configure.in
	cd $(top_srcdir) && autoconf

#
# Make depend magic...
#

.depend: Makefile $(SRCS) $(top_srcdir)/depfix.sed $(top_srcdir)/wordwrap.pl
	if test -n "$(SRCS)" ; then \
		$(CC) -M $(ALL_CFLAGS) $(SRCS) | \
			$(SED) -f $(top_srcdir)/depfix.sed \
			    -e 's; $(srcdir)/; $$(srcdir)/;g' \
			    -e 's; $(top_srcdir)/; $$(top_srcdir)/;g' \
			    -e 's; $(top_builddir)/; $$(top_builddir)/;g' \
			    -e 's; \./; ;g' \
			    -e '/^ *\\$$/d' | \
			$(PERL) $(top_srcdir)/wordwrap.pl > .depend; \
	else :; fi

depend:: .depend
	if test -n "$(SRCS)" ; then \
		sed -e '/^# +++ Dependency line eater +++/,$$d' \
			< $(srcdir)/Makefile.in | cat - .depend \
			> $(srcdir)/Makefile.in.new; \
	if cmp -s $(srcdir)/Makefile.in $(srcdir)/Makefile.in.new ; then \
		$(RM) $(srcdir)/Makefile.in.new ; \
	else \
		$(MV) $(srcdir)/Makefile.in $(srcdir)/Makefile.in.old; \
		$(MV) $(srcdir)/Makefile.in.new $(srcdir)/Makefile.in; \
	fi ; else :; fi

# End of file MCONFIG

DEBUGFS_LIB_OBJS = bb_compat.o cmp_bitmaps.o dupfs.o fileio.o \
	namei.o test_io.o write_bb_file.o 

RESIZE_LIB_OBJS = rs_bitmap.o

E2IMAGE_LIB_OBJS = imager.o

OBJS= $(DEBUGFS_LIB_OBJS) $(RESIZE_LIB_OBJS) $(E2IMAGE_LIB_OBJS) \
	ext2_err.o \
	alloc.o \
	alloc_tables.o \
	badblocks.o \
	bb_inode.o \
	bitmaps.o \
	bitops.o \
	block.o \
	bmap.o \
	check_desc.o \
	closefs.o \
	dblist.o \
	dblist_dir.o \
	dirblock.o \
	dir_iterate.o \
	expanddir.o \
	ext_attr.o \
	finddev.o \
	flushb.o \
	freefs.o \
	gen_bitmap.o \
	get_pathname.o \
	getsize.o \
	icount.o \
	initialize.o \
	inline.o \
	inode.o \
	ismounted.o \
	link.o \
	llseek.o \
	lookup.o \
	mkdir.o \
	mkjournal.o \
	native.o \
	newdir.o \
	openfs.o \
	read_bb.o \
	read_bb_file.o \
	rw_bitmaps.o \
	swapfs.o \
	unix_io.o \
	unlink.o \
	valid_blk.o \
	version.o

SRCS= ext2_err.c \
	$(srcdir)/alloc.c \
	$(srcdir)/alloc_tables.c \
	$(srcdir)/badblocks.c \
	$(srcdir)/bb_compat.c \
	$(srcdir)/bb_inode.c \
	$(srcdir)/bitmaps.c \
	$(srcdir)/bitops.c \
	$(srcdir)/block.c \
	$(srcdir)/bmap.c \
	$(srcdir)/check_desc.c \
	$(srcdir)/closefs.c \
	$(srcdir)/cmp_bitmaps.c \
	$(srcdir)/dblist.c \
	$(srcdir)/dblist_dir.c \
	$(srcdir)/dirblock.c \
	$(srcdir)/dir_iterate.c \
	$(srcdir)/dupfs.c \
	$(srcdir)/expanddir.c \
	$(srcdir)/ext_attr.c \
	$(srcdir)/fileio.c \
	$(srcdir)/finddev.c \
	$(srcdir)/flushb.c \
	$(srcdir)/freefs.c \
	$(srcdir)/gen_bitmap.c \
	$(srcdir)/get_pathname.c \
	$(srcdir)/getsize.c \
	$(srcdir)/icount.c \
	$(srcdir)/imager.c \
	$(srcdir)/initialize.c \
	$(srcdir)/inline.c \
	$(srcdir)/inode.c \
	$(srcdir)/ismounted.c \
	$(srcdir)/link.c \
	$(srcdir)/llseek.c \
	$(srcdir)/lookup.c \
	$(srcdir)/mkdir.c \
	$(srcdir)/mkjournal.c \
	$(srcdir)/namei.c \
	$(srcdir)/native.c \
	$(srcdir)/newdir.c \
	$(srcdir)/openfs.c \
	$(srcdir)/read_bb.c \
	$(srcdir)/read_bb_file.c \
	$(srcdir)/rs_bitmap.c \
	$(srcdir)/rw_bitmaps.c \
	$(srcdir)/swapfs.c \
	$(srcdir)/test_io.c \
	$(srcdir)/unix_io.c \
	$(srcdir)/unlink.c \
	$(srcdir)/valid_blk.c \
	$(srcdir)/version.c \
	$(srcdir)/write_bb_file.c \
	$(srcdir)/tst_badblocks.c \
	$(srcdir)/tst_bitops.c \
	$(srcdir)/tst_byteswap.c \
	$(srcdir)/tst_getsize.c \
	$(srcdir)/tst_iscan.c

HFILES= bitops.h ext2fs.h ext2_io.h ext2_fs.h ext2_ext_attr.h
HFILES_IN=  ext2_err.h ext2_types.h

LIBRARY= libext2fs
LIBDIR= ext2fs

DLL_ADDRESS = 0x66900000
DLL_JUMPSIZE = 0x1000
DLL_GOTSIZE  = 0x1000
DLL_VERSION = 1.2
DLL_IMAGE = libe2fs
DLL_STUB = libext2fs
DLL_LIBS = -L../.. -lcom_err
DLL_MYDIR = ext2fs
DLL_INSTALL_DIR = $(root_libdir)

ELF_VERSION = 2.4
ELF_SO_VERSION = 2
ELF_IMAGE = libext2fs
ELF_MYDIR = ext2fs
ELF_INSTALL_DIR = $(root_libdir)
ELF_OTHER_LIBS = -L../.. -lcom_err

BSDLIB_VERSION = 2.1
BSDLIB_IMAGE = libext2fs
BSDLIB_MYDIR = ext2fs
BSDLIB_INSTALL_DIR = $(root_libdir)


all:: subdirs $(LIBRARY).a

install-shlibs::

subdirs::

$(LIBRARY).a: $(OBJS)
	(if test -r $@; then $(RM) -f $@.bak && $(MV) $@ $@.bak; fi)
	$(ARUPD) $@ $(OBJS)
	-$(RANLIB) $@

.c.o:
	$(CC) $(ALL_CFLAGS) -c $< -o $@
#	$(CC) $(ALL_CFLAGS) -g -pg -o profiled/$*.o -c $<
#	$(CC) $(ALL_CFLAGS) -checker -g -o checker/$*.o -c $<
#	(export JUMP_DIR=`pwd`/jump; $(CC) -B$(JUMP_PREFIX) $(ALL_CFLAGS) \
#		-o jump/$*.o -c $<)
#	$(CC) $(ALL_CFLAGS) -fPIC -o elfshared/$*.o -c $<
#	$(CC) $(ALL_CFLAGS) -fpic -o pic/$*.o -c $<

COMPILE_ET=et/compile_et

DISTFILES= Makefile *.c *.h image

ext2_err.et: $(DEP_SUBSTITUTE) $(srcdir)/ext2_err.et.in
	$(SUBSTITUTE) $(srcdir)/ext2_err.et.in ext2_err.et

ext2_err.c ext2_err.h: ext2_err.et
	$(COMPILE_ET) ext2_err.et

tst_badblocks: tst_badblocks.o freefs.o \
		read_bb_file.o write_bb_file.o badblocks.o 
	$(CC) -o tst_badblocks tst_badblocks.o freefs.o \
		read_bb_file.o write_bb_file.o badblocks.o $(LIBCOM_ERR)

tst_iscan: tst_iscan.o inode.o badblocks.o test_io.o $(STATIC_LIBEXT2FS)
	$(CC) -o tst_iscan tst_iscan.o inode.o badblocks.o test_io.o \
		$(STATIC_LIBEXT2FS) $(LIBCOM_ERR)

tst_getsize: tst_getsize.o getsize.o $(STATIC_LIBEXT2FS)
	$(CC) -o tst_getsize tst_getsize.o getsize.o $(STATIC_LIBEXT2FS) \
		$(LIBCOM_ERR)

tst_ismounted: $(srcdir)/ismounted.c $(STATIC_LIBEXT2FS)
	$(CC) -o tst_ismounted $(srcdir)/ismounted.c -DDEBUG $(ALL_CFLAGS) $(LIBCOM_ERR) 

tst_byteswap: tst_byteswap.o bitops.o $(STATIC_LIBEXT2FS)
	$(CC) -o tst_byteswap tst_byteswap.o bitops.o $(STATIC_LIBEXT2FS) \
		$(LIBCOM_ERR)

tst_bitops: tst_bitops.o inline.o $(STATIC_LIBEXT2FS)
	$(CC) -o tst_bitops tst_bitops.o inline.o \
		$(STATIC_LIBEXT2FS) $(LIBCOM_ERR)

mkjournal: mkjournal.c $(STATIC_LIBEXT2FS)
	$(CC) -o mkjournal $(srcdir)/mkjournal.c -DDEBUG $(STATIC_LIBEXT2FS) $(LIBCOM_ERR) $(ALL_CFLAGS)

check:: tst_badblocks tst_iscan tst_byteswap
	./tst_badblocks
	./tst_iscan
	./tst_byteswap

clean::
	$(RM) -f \#* *.s *.o *.a *~ *.bak core profiled/* checker/* \
		tst_badblocks tst_iscan ext2_err.et ext2_err.c ext2_err.h \
		tst_byteswap tst_ismounted mkjournal \
		../libext2fs.a ../libext2fs_p.a ../libext2fs_chk.a
#
# Hack to parallel makes recognize dependencies correctly.
#
$(top_builddir)/lib/ext2fs/ext2_err.h: ext2_err.h

# +++ Dependency line eater +++
# 
# Makefile dependencies follow.  This must be the last section in
# the Makefile.in file
#
ext2_err.o: ext2_err.c
alloc.o: $(srcdir)/alloc.c $(srcdir)/ext2_fs.h \
 ext2_types.h $(srcdir)/ext2fs.h \
 com_err.h $(srcdir)/ext2_io.h \
 ext2_err.h $(srcdir)/bitops.h
alloc_tables.o: $(srcdir)/alloc_tables.c $(srcdir)/ext2_fs.h \
 ext2_types.h $(srcdir)/ext2fs.h \
 com_err.h $(srcdir)/ext2_io.h \
 ext2_err.h $(srcdir)/bitops.h
badblocks.o: $(srcdir)/badblocks.c $(srcdir)/ext2_fs.h \
 ext2_types.h $(srcdir)/ext2fsP.h \
 $(srcdir)/ext2fs.h com_err.h $(srcdir)/ext2_io.h \
 ext2_err.h $(srcdir)/bitops.h
bb_compat.o: $(srcdir)/bb_compat.c $(srcdir)/ext2_fs.h \
 ext2_types.h $(srcdir)/ext2fsP.h \
 $(srcdir)/ext2fs.h com_err.h $(srcdir)/ext2_io.h \
 ext2_err.h $(srcdir)/bitops.h
bb_inode.o: $(srcdir)/bb_inode.c $(srcdir)/ext2_fs.h \
 ext2_types.h $(srcdir)/ext2fs.h \
 com_err.h $(srcdir)/ext2_io.h \
 ext2_err.h $(srcdir)/bitops.h

=== ext2load/Makefile ===
#
# Copyright 1999 Silicon Graphics, Inc.
#           2001-04 Guido Guenther <agx@sigxcpu.org>
#

SUBARCH ?= IP22

COMMONDIR = ../common

E2FSINCLUDEDIR ?= /usr/include/ext2fs
E2FSLIBDIR ?= /usr/lib
EXT2LIB ?= $(E2FSLIBDIR)/libext2fs-nopic.a

ARCINCLUDEDIR = ../arclib
ARCLIBDIR = ../arclib
ARCLIB = $(ARCLIBDIR)/libarc.a

OBJECTS = loader.o ext2io.o conffile.o
LIBS = $(EXT2LIB) $(ARCLIB)
TARGETS = ext2load 

CFLAGS = -O2 -I$(COMMONDIR) -I$(ARCINCLUDEDIR) -I$(E2FSINCLUDEDIR) 	\
         -W -Wall -mno-abicalls -G 0 -fno-pic				\
	 -DSUBARCH=${SUBARCH}

# uncomment for debugging
#CFLAGS+=-DDEBUG

LD = ld
LDFLAGS = -N -T ld.script

all:  $(TARGETS)

ext2load:  $(OBJECTS) $(LIBS) ld.script ../common/subarch.h
	rm -f $@
	$(LD) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS)

ld.script: ld.script.in
	$(MAKE) -C ../common SUBARCH=$(SUBARCH) print_loadaddr
	LOADADDR=$$(../common/print_loadaddr $(SUBARCH));	 	\
	OUTPUTFORMAT=$$(../common/print_outputformat $(SUBARCH));	\
	sed -e "s/@@LOADADDR@@/$$LOADADDR/"				\
	-e "s/@@OUTPUTFORMAT@@/$$OUTPUTFORMAT/" <$< >$@

install:

clean:
	rm -f $(TARGETS) *.a *.o tags ld.script

=== e2fslib/et/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Makefile for lib/et
#

srcdir = .
top_srcdir = ../..
top_builddir = ../..
my_dir = lib/et
INSTALL = /usr/bin/install -c

DEP_MAKEFILE = $(DEP_LIB_MAKEFILES)


# Beginning of file MCONFIG

all::

check::

SHELL = /bin/sh

prefix = /usr
root_prefix = 
exec_prefix = ${prefix}
root_bindir = $(root_prefix)/bin
root_sbindir = $(root_prefix)/sbin
root_libdir = $(root_prefix)/lib
bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
mandir = ${prefix}/man
man1dir = $(mandir)/man1
man3dir = $(mandir)/man3
man8dir = $(mandir)/man8
infodir = ${prefix}/info
datadir = ${prefix}/share



INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
CC = cc
BUILD_CC = cc
DEFS =  -DENABLE_SWAPFS=1 -DPACKAGE=\"e2fsprogs\" -DVERSION=\"1.25\" -DSTDC_HEADERS=1 -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -DHAVE_UNISTD_H=1 -DHAVE_GETPAGESIZE=1 -DHAVE_MMAP=1 -DHAVE_ARGZ_H=1 -DHAVE_LIMITS_H=1 -DHAVE_LOCALE_H=1 -DHAVE_NL_TYPES_H=1 -DHAVE_MALLOC_H=1 -DHAVE_STRING_H=1 -DHAVE_UNISTD_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_GETCWD=1 -DHAVE_MUNMAP=1 -DHAVE_PUTENV=1 -DHAVE_SETENV=1 -DHAVE_SETLOCALE=1 -DHAVE_STRCHR=1 -DHAVE_STRCASECMP=1 -DHAVE_STRDUP=1 -DHAVE___ARGZ_COUNT=1 -DHAVE___ARGZ_STRINGIFY=1 -DHAVE___ARGZ_NEXT=1 -DHAVE_STPCPY=1 -DHAVE_STPCPY=1 -DHAVE_LC_MESSAGES=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDARG_H=1 -DHAVE_ERRNO_H=1 -DHAVE_MALLOC_H=1 -DHAVE_MNTENT_H=1 -DHAVE_PATHS_H=1 -DHAVE_DIRENT_H=1 -DHAVE_GETOPT_H=1 -DHAVE_SETJMP_H=1 -DHAVE_SIGNAL_H=1 -DHAVE_TERMIOS_H=1 -DHAVE_LINUX_FD_H=1 -DHAVE_LINUX_MAJOR_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_MOUNT_H=1 -DHAVE_SYS_SYSMACROS_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_NET_IF_H=1 -DHAVE_NETINET_IN_H=1 -DHAVE_VPRINTF=1 -DHAVE_LSEEK64_PROTOTYPE=1 -DSIZEOF_SHORT=2 -DSIZEOF_INT=4 -DSIZEOF_LONG=4 -DSIZEOF_LONG_LONG=8 -DWORDS_BIGENDIAN=1 -DHAVE_GETRUSAGE=1 -DHAVE_LLSEEK=1 -DHAVE_LSEEK64=1 -DHAVE_OPEN64=1 -DHAVE_STRCASECMP=1 -DHAVE_SRANDOM=1 -DHAVE_FCHOWN=1 -DHAVE_MALLINFO=1 -DHAVE_FDATASYNC=1 -DHAVE_STRNLEN=1 -DHAVE_EXT2_IOCTLS=1 
CFLAGS = -g -O2
CPPFLAGS = 
ALL_CFLAGS = $(CPPFLAGS) $(DEFS) $(USE_WFLAGS) $(CFLAGS) $(XTRA_CFLAGS) \
	-I$(top_builddir)/lib -I$(top_srcdir)/lib \
	-I$(top_srcdir)/include $(LINUX_INCLUDE) 
LDFLAGS = 
ALL_LDFLAGS = $(LDFLAGS)
RM = /bin/rm
LN = /bin/ln
LN_S = ln -s
MV = /bin/mv
CP = /bin/cp
CHMOD = /bin/chmod
AR = ar
AWK = /usr/bin/awk
SED = /bin/sed
PERL = /usr/bin/perl
RANLIB = ranlib
STRIP = strip
LD = $(PURE) cc
ARUPD = $(AR) r
LDCONFIG = :

#
# Library definitions
#
LIB = $(top_builddir)/lib
LIBSS = $(LIB)/libss.a
LIBCOM_ERR = $(LIB)/libcom_err.a
LIBE2P = $(LIB)/libe2p.a
LIBEXT2FS = $(LIB)/libext2fs.a
LIBUUID = $(LIB)/libuuid.a  
DEPLIBUUID = $(LIB)/libuuid.a

STATIC_LIBSS = $(LIB)/libss.a
STATIC_LIBCOM_ERR = $(LIB)/libcom_err.a
STATIC_LIBE2P = $(LIB)/libe2p.a
STATIC_LIBEXT2FS = $(LIB)/libext2fs.a
STATIC_LIBUUID = $(LIB)/libuuid.a  
DEPSTATIC_LIBUUID = $(LIB)/libuuid.a

PROFILED_LIBSS = $(LIB)/libss
PROFILED_LIBCOM_ERR = $(LIB)/libcom_err
PROFILED_LIBE2P = $(LIB)/libe2p
PROFILED_LIBEXT2FS = $(LIB)/libext2fs
PROFILED_LIBUUID = $(LIB)/libuuid  
DEPPROFILED_LIBUUID = $(LIB)/libuuid

#
# Use these definitions is you use tools 2.x, x < 16
#
#DLL_BIN=/usr/dll/bin
#JUMP_PREFIX=/usr/dll/jump/

#
# Use these definitions if you use tools 2.16 or above
#
DLL_BIN=/usr/bin
JUMP_PREFIX=/usr/bin/jump

# An include directive pointing to a directory holding enough linux-like
# include files to satisfy some programs here
LINUX_INCLUDE=

#
# A fast substitution command for fixing up man pages, shell scripts, etc.
#
SUBST_CONF=../util/subst.conf
SUBSTITUTE= ../util/subst -f $(SUBST_CONF)
DEP_SUBSTITUTE= ../util/subst $(SUBST_CONF)

$(top_builddir)/util/subst:
	cd $(top_builddir)/util ; $(MAKE) subst

#
# Warning flags
#
# Run make gcc-wall to do a build with warning messages.
#
#
WFLAGS=		-ansi -D_POSIX_SOURCE -pedantic \
			-Wall -Wwrite-strings -Wpointer-arith \
			-Wcast-qual -Wcast-align -Wtraditional \
			-Wstrict-prototypes -Wmissing-prototypes \
			-Wnested-externs -Winline -DNO_INLINE_FUNCS -Wshadow 

gcc-wall-new:
	(make USE_WFLAGS="$(WFLAGS)" > /dev/null) 2>&1 | sed -f $(top_srcdir)/util/gcc-wall-cleanup 

gcc-wall:
	make clean > /dev/null
	make gcc-wall-new

#
# Installation user and groups
#
BINGRP=		bin
BINOWN=		bin
BINMODE=	555
INCGRP=		bin
INCOWN=		bin
INCMODE=	444
LIBOWN=		bin
LIBGRP=		bin
LIBMODE=	444
MANGRP=		bin
MANOWN=		bin
MANMODE=	444

#
# Autoconf magic...
#

DEP_LIB_MAKEFILES = $(top_srcdir)/lib/Makefile.elf-lib  \
	$(top_srcdir)/lib/Makefile.dll-lib $(top_srcdir)/lib/Makefile.bsd-lib \
	$(top_srcdir)/lib/Makefile.checker $(top_srcdir)/lib/Makefile.profile

$(top_builddir)/config.status: $(top_srcdir)/configure
	cd $(top_builddir); ./config.status --recheck

$(top_builddir)/lib/substitute_sh: $(top_srcdir)/lib/substitute_sh.in \
		$(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=lib/substitute_sh ./config.status

$(top_builddir)/util/subst.conf: $(top_srcdir)/util/subst.conf.in \
		$(top_builddir)/config.status
	cd $(top_builddir); CONFIG_FILES=util/subst.conf ./config.status

$(top_srcdir)/configure: $(top_srcdir)/configure.in
	cd $(top_srcdir) && autoconf

#
# Make depend magic...
#

.depend: Makefile $(SRCS) $(top_srcdir)/depfix.sed $(top_srcdir)/wordwrap.pl
	if test -n "$(SRCS)" ; then \
		$(CC) -M $(ALL_CFLAGS) $(SRCS) | \
			$(SED) -f $(top_srcdir)/depfix.sed \
			    -e 's; $(srcdir)/; $$(srcdir)/;g' \
			    -e 's; $(top_srcdir)/; $$(top_srcdir)/;g' \
			    -e 's; $(top_builddir)/; $$(top_builddir)/;g' \
			    -e 's; \./; ;g' \
			    -e '/^ *\\$$/d' | \
			$(PERL) $(top_srcdir)/wordwrap.pl > .depend; \
	else :; fi

depend:: .depend
	if test -n "$(SRCS)" ; then \
		sed -e '/^# +++ Dependency line eater +++/,$$d' \
			< $(srcdir)/Makefile.in | cat - .depend \
			> $(srcdir)/Makefile.in.new; \
	if cmp -s $(srcdir)/Makefile.in $(srcdir)/Makefile.in.new ; then \
		$(RM) $(srcdir)/Makefile.in.new ; \
	else \
		$(MV) $(srcdir)/Makefile.in $(srcdir)/Makefile.in.old; \
		$(MV) $(srcdir)/Makefile.in.new $(srcdir)/Makefile.in; \
	fi ; else :; fi

# End of file MCONFIG

all:: compile_et

OBJS= error_message.o et_name.o init_et.o com_err.o
SRCS = $(srcdir)/error_message.c $(srcdir)/et_name.c $(srcdir)/init_et.c \
	$(srcdir)/com_err.c

HFILES= com_err.h
SHARE_FILES= et_c.awk et_h.awk

LIBRARY= libcom_err
LIBDIR= et

DLL_ADDRESS = 0x66800000
DLL_JUMPSIZE = 0x1000
DLL_GOTSIZE  = 0x1000
DLL_VERSION = 1.0
DLL_IMAGE = libet
DLL_STUB = libcom_err
DLL_MYDIR = et
DLL_INSTALL_DIR = $(root_libdir)

ELF_VERSION = 2.0
ELF_SO_VERSION = 2
ELF_IMAGE = libcom_err
ELF_MYDIR = et
ELF_INSTALL_DIR = $(root_libdir)
ELF_OTHER_LIBS = 

BSDLIB_VERSION = 1.0
BSDLIB_IMAGE = libcom_err
BSDLIB_MYDIR = et
BSDLIB_INSTALL_DIR = $(root_libdir)

#
# what to build...
#
.c.o:
	$(CC) $(ALL_CFLAGS) -c $< -o $@
#	$(CC) $(ALL_CFLAGS) -g -pg -o profiled/$*.o -c $<
#	$(CC) $(ALL_CFLAGS) -checker -g -o checker/$*.o -c $<
#	(export JUMP_DIR=`pwd`/jump; $(CC) -B$(JUMP_PREFIX) $(ALL_CFLAGS) \
#		-o jump/$*.o -c $<)
#	$(CC) $(ALL_CFLAGS) -fPIC -o elfshared/$*.o -c $<
#	$(CC) $(ALL_CFLAGS) -fpic -o pic/$*.o -c $<


all:: subdirs $(LIBRARY).a

install-shlibs::

subdirs::

$(LIBRARY).a: $(OBJS)
	(if test -r $@; then $(RM) -f $@.bak && $(MV) $@ $@.bak; fi)
	$(ARUPD) $@ $(OBJS)
	-$(RANLIB) $@
	$(RM) -f ../$@
	$(LN) $@ ../$@







compile_et: $(DEP_SUBSTITUTE) $(srcdir)/compile_et.sh.in
	$(SUBSTITUTE) $(srcdir)/compile_et.sh.in compile_et
	$(CHMOD) +x compile_et

com_err.ps : com_err.dvi
com_err.dvi: com_err.texinfo

#libcom_err.o:	$(LIBOBJS)
#	$(LD) -r -s -o libcom_err.o $(LIBOBJS)
#	chmod -x libcom_err.o

TAGS:	$(SRCS)
	$(TAGS) $(SRCS)

installdirs::
	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(libdir) \
		$(DESTDIR)$(includedir)/et $(DESTDIR)$(datadir)/et \
		$(DESTDIR)$(bindir) $(DESTDIR)$(man1dir) \
		$(DESTDIR)$(man3dir)

install:: compile_et libcom_err.a $(HFILES) installdirs
	$(INSTALL_DATA) libcom_err.a $(DESTDIR)$(libdir)/libcom_err.a
	$(CHMOD) 644 $(DESTDIR)$(libdir)/libcom_err.a
	-$(RANLIB) $(DESTDIR)$(libdir)/libcom_err.a
	$(CHMOD) $(LIBMODE) $(DESTDIR)$(libdir)/libcom_err.a
	for i in $(HFILES); do \
		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(includedir)/et/$$i; \
	done
	for i in $(SHARE_FILES); do \
		$(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(datadir)/et/$$i; \
	done
	$(INSTALL) compile_et $(DESTDIR)$(bindir)/compile_et
	$(INSTALL_DATA) $(srcdir)/com_err.3 $(DESTDIR)$(man3dir)/com_err.3
	$(INSTALL_DATA) $(srcdir)/compile_et.1 \
			$(DESTDIR)$(man1dir)/compile_et.1

uninstall::
	$(RM) -f $(DESTDIR)$(libdir)/libcom_err.a \
			$(DESTDIR)$(bindir)/compile_et
	$(RM) -rf $(DESTDIR)$(includedir)/et $(DESTDIR)$(datadir)/et

clean::
	$(RM) -f compile_et libcom_err.a libcom_err_p.a
	$(RM) -f $(OBJS) profiled/*
	$(RM) -f *~ \#* *.bak *.otl *.aux *.toc *.PS *.dvi *.ps TAGS *.ln
	$(RM) -f ../libcom_err.a ../libcom_err_p.a
mostlyclean:: clean
distclean:: clean
	$(RM) -f .depend Makefile $(srcdir)/TAGS $(srcdir)/Makefile.in.old

# +++ Dependency line eater +++
# 
# Makefile dependencies follow.  This must be the last section in
# the Makefile.in file
#
error_message.o: $(srcdir)/error_message.c $(srcdir)/com_err.h \
 $(srcdir)/error_table.h $(srcdir)/internal.h
et_name.o: $(srcdir)/et_name.c $(srcdir)/com_err.h $(srcdir)/error_table.h \
 $(srcdir)/internal.h
init_et.o: $(srcdir)/init_et.c $(srcdir)/com_err.h $(srcdir)/error_table.h
com_err.o: $(srcdir)/com_err.c $(srcdir)/com_err.h $(srcdir)/error_table.h \
 $(srcdir)/internal.h

=== debian/changelog ===
arcboot (0.3.8.8) unstable; urgency=low

  * Non-Maintainer Upload, with maintainer consent.
  * scripts/arcboot:
    + Fix syntax error when $IMAGE isn't found (closes: #329111).
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
    + Added ${misc:Depends} to arcboot's Depends, to get the debconf
      dependency.
  * Added spanish debconf translation, courtesy of César Gómez Martín
    (closes: #333875).
  * Added swedish debconf translation, courtesy of Daniel Nylander
    (closes: #331295).
  * Fixed po/ja.po Content-Type (seems to be UTF-8 instead of EUC-JP ?)

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Aug 2006 11:34:48 +0000

=== debian/control ===
Source: arcboot
Section: admin
Priority: optional
Maintainer: Guido Guenther <agx@debian.org>
Uploaders: Thiemo Seufer <ths@debian.org>
Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
Standards-Version: 3.7.2

Package: arcboot
Architecture: mips
Depends: dvhtool, ${misc:Depends}
Description: Bootloader for SGI/MIPS IP22 and IP32 machines
 arcboot is a bootloader for SGI/MIPS IP22 and IP32 machines like the Indy,
 Indigo2 and O2. It is able to boot the Linux kernel from ext2 and ext3
 filesystems. Support for other ARCS based subarchitectures can easily be
 added. It is currently not capable of booting IRIX or to boot from iso9660
 CDROMs though.

Package: tip22
Architecture: mips
Depends: binutils | binutils-multiarch, file
Description: Tftp boot image builder for SGI/MIPS IP22 and IP32 machines
 tip22 is used to merge kernel and initrd into one bootable image. This
 image also contains a small loader stub that copies the kernel to its
 load address and appends the ramdisk. This is useful for booting via tftp or
 from a CDROM. It is currently targeted for the IP22 and IP32 subarchitectures
 but support for other ARCS based subarchitectures can easily be added.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

realver := $(shell dpkg-parsechangelog | awk -F' ' '/^Version:/ {print $$2}' | awk -F- '{print $$1}')

PREFIX_ARCB=${CURDIR}/debian/arcboot
BIN_ARCB=usr/sbin
LIB_ARCB=usr/lib/arcboot

PREFIX_TIP22=${CURDIR}/debian/tip22
BIN_TIP22=usr/sbin
LIB_TIP22=usr/lib/tip22

architecture=$(dpkg --print-architecture)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# update the version string
	echo "#define __ARCSBOOT_VERSION__ \"${realver}\"" > common/version.h
	# build the package
	$(MAKE) build-subarch-indep
	$(MAKE) clean-subarch-dep
	$(MAKE) SUBARCH=IP32 build-subarch-dep
	cp ext2load/ext2load arcboot.ip32
	$(MAKE) clean-subarch-dep
	$(MAKE) SUBARCH=IP22 build-subarch-dep
	cp ext2load/ext2load arcboot.ip22
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-rm -f arcboot.ip22 arcboot.ip32

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# install arcboot into debian/arcboot
	install -m 644 arcboot.ip22 ${PREFIX_ARCB}/${LIB_ARCB}/arcboot.ip22
	install -m 644 arcboot.ip32 ${PREFIX_ARCB}/${LIB_ARCB}/arcboot.ip32
	install -m 755 scripts/arcboot ${PREFIX_ARCB}/${BIN_ARCB}/arcboot

	# install tip22 into debian/tip22
	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C arclib install
	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install

# Build architecture-independent files here.
binary-indep: build install
# nothing to do

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples etc/arcboot.conf -parcboot
	dh_installexamples tip22/kernel/ -ptip22
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## arcboot 0.3.9

=== arclib/Makefile ===
#
# Copyright 1999 Silicon Graphics, Inc.
#
CFLAGS += -O2 -Werror -Wall -mno-abicalls -G 0 -fno-pic

TARGETS = libarc.a
OBJECTS = arc.o	stdio.o stdlib.o string.o

all: $(TARGETS)

$(TARGETS): $(OBJECTS)
	rm -f $@
	$(AR) -crs $@ $(OBJECTS)

install: $(TARGETS)
	install -d ${PREFIX}/${LIBDIR}
	install -m 644 $< ${PREFIX}/${LIBDIR}

clean:
	rm -f libarc.a $(OBJECTS) *~ tags

=== debian/changelog ===
arcboot (0.3.9) unstable; urgency=low

  * tftpload.c: fix misleading printouts
  * remove unneeded e2fslib
  * remove kernel patches to parse the command line, merged since 2.6.9
  * add initrd example

  * debian/rules: remove unneeded debhelper commands to speedup the build

 -- Guido Guenther <agx@sigxcpu.org>  Sun, 25 Nov 2007 17:10:12 +0100

arcboot (0.3.8.9) experimental; urgency=low

  * extload: LoadProgramSegments64: add casts to unsigned long so the address
    and size for .bss is calculated and printed correctly
  * same for tip22
  * ext2io.c: fix some warnings
  * disable strict aliasing until ext2io.c is cleaned up
  * printf: handle %d as %u
  * add arcboot initrd support by Julien Blache - Thanks!
  * make initrd_addr an unsigned long to avoid unnecessary casts

  * acknowledge NMU (Thanks Julien)
  * add Vcs-Git field
  * debhelper version 5
  * improved wording of the debconf template (Closes: #378100)
  * no need to depend on binutils-multiarch

 -- Guido Guenther <agx@sigxcpu.org>  Wed, 21 Nov 2007 16:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: arcboot
 Section: admin
 Priority: optional
-Maintainer: Guido Guenther <agx@debian.org>
+Maintainer: Guido Guenther <agx@sigxcpu.org>
 Uploaders: Thiemo Seufer <ths@debian.org>
 Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
+Vcs-Git: http://honk.sigxcpu.org/git/arcboot.git/
 Standards-Version: 3.7.2
 
 Package: arcboot
@@ -18,7 +19,7 @@
 
 Package: tip22
 Architecture: mips
-Depends: binutils | binutils-multiarch, file
+Depends: binutils, file
 Description: Tftp boot image builder for SGI/MIPS IP22 and IP32 machines
  tip22 is used to merge kernel and initrd into one bootable image. This
  image also contains a small loader stub that copies the kernel to its

=== debian/rules ===
--- 
+++ 
@@ -76,16 +76,7 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples etc/arcboot.conf -parcboot
-	dh_installexamples tip22/kernel/ -ptip22
-	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-	dh_installcron
 	dh_installman
-	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
 	dh_link

## arcboot 0.3.10

=== debian/changelog ===
arcboot (0.3.10) unstable; urgency=low

  * Thanks Julien for the NMU!
  * Revert the tftpload fix from 0.3.9.1 since it causes the the kernel
    to OOM
  * apply an IP22 tftploader hack so the kernel + di-initrd fit into the
    reserved space (Closes: #452933) - will need to be cleaned up
  * Update German translation (Closes: #462681)
  * Update Japanese translation (Closes: #463325)

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 16 Feb 2008 15:15:25 +0100

arcboot (0.3.9.1) unstable; urgency=low

  * Non-Maintainer Upload requested by Guido.

  * Apply my temporary fix for #452798, hence not closing yet.
  * Update french debconf translation (closes: #452933).
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).
  * debian/rules:
    + Do not ignore failures in clean target.
  * Added lintian overrides for /usr/lib/arcboot/arcboot.ip32
    - arcboot: unstripped-binary-or-object ./usr/lib/arcboot/arcboot.ip32
    - arcboot: statically-linked-binary ./usr/lib/arcboot/arcboot.ip32

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Jan 2008 14:14:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thiemo Seufer <ths@debian.org>
 Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
 Vcs-Git: http://honk.sigxcpu.org/git/arcboot.git/
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: arcboot
 Architecture: mips

## arcboot 0.3.12

=== Makefile ===
#
# Copyright 1999 Silicon Graphics, Inc.
# Copyright 2002-2004 Guido Guenther <agx@sigxcpu.org>
# Copyright (C) 2004 by Thiemo Seufer
#  

# default subarch
SUBARCH ?= IP22

# these contain subarch independent files
SUBARCH_INDEP_DIRS=	\
	arclib		\
	tip22

# these contain subarch dependent files
SUBARCH_DIRS=		\
	common		\
	ext2load

define indep-tgt
$(foreach sd,$(SUBARCH_INDEP_DIRS),$(1)-subarch-indep-$(sd))
endef

define dep-tgt
$(foreach sd,$(SUBARCH_DIRS),$(1)-subarch-dep-$(sd))
endef

define build-indep-tgt
$(call indep-tgt,build)
endef

define build-dep-tgt
$(call dep-tgt,build)
endef

define install-indep-tgt
$(call indep-tgt,install)
endef

define install-dep-tgt
$(call dep-tgt,install)
endef

define clean-indep-tgt
$(call indep-tgt,clean)
endef

define clean-dep-tgt
$(call dep-tgt,clean)
endef

define submake
@$(MAKE) -C $(1) SUBARCH=$(SUBARCH) $(2)
endef


all: build

build: build-subarch-indep build-subarch-dep
build-subarch-indep: $(build-indep-tgt)
build-subarch-dep: $(build-dep-tgt)

$(build-indep-tgt):
	$(call submake,$(patsubst build-subarch-indep-%,%,$@),all)

$(build-dep-tgt):
	$(call submake,$(patsubst build-subarch-dep-%,%,$@),all)

install: install-subarch-indep install-subarch-dep
install-subarch-indep: $(install-indep-tgt)
install-subarch-dep: $(install-dep-tgt)

$(install-indep-tgt):
	$(call submake,$(patsubst install-subarch-indep-%,%,$@),install)

$(install-dep-tgt):
	$(call submake,$(patsubst install-subarch-dep-%,%,$@),install)

clean: clean-subarch-indep clean-subarch-dep
clean-subarch-indep: $(clean-indep-tgt)
clean-subarch-dep: $(clean-dep-tgt)

$(clean-indep-tgt):
	$(call submake,$(patsubst clean-subarch-indep-%,%,$@),clean)

$(clean-dep-tgt):
	$(call submake,$(patsubst clean-subarch-dep-%,%,$@),clean)


.PHONY: all \
	build build-subarch-indep build-subarch-dep \
	$(build-indep-tgt) $(build-dep-tgt) \
	clean clean-subarch-indep clean-subarch-dep \
	$(clean-indep-tgt) $(clean-dep-tgt)

=== ext2load/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 CFLAGS = -O2 -I$(COMMONDIR) -I$(ARCINCLUDEDIR) -I$(E2FSINCLUDEDIR) 	\
          -W -Wall -mno-abicalls -G 0 -fno-pic				\
-	 -DSUBARCH=${SUBARCH}
+	 -DSUBARCH=${SUBARCH} -fno-strict-aliasing
 
 # uncomment for debugging
 #CFLAGS+=-DDEBUG

=== debian/changelog ===
arcboot (0.3.12) unstable; urgency=low

  * [1b7d979] Update cs translation (Closes: #499590) - thanks to Miroslav
    Kure
  * [d8db3f3] Add Basque debconf translation (Closes: #499506) - thanks to
    Piarres Beobide
  * [e1f509c] Update es translation (Closes: #499871) - thanks to Francisco
    Javier Cuadrado
  * [334498a] Update nl translation (Closes: #500511) - thanks to Paul Gevers
  * [16b1c03] Add Polish debconf translation (Closes: #505865) - thanks to
    Łukasz Paździora
  * [3259216] Add nb debconf translation (Closes: Bug#505896) - thanks to
    Bjørn Steensrud
  * [3eb29a4] Add italian debconf translation (Closes: Bug#506400) - thanks to
    vince
  * [ba76ebd] Update danish translation (Closes: Bug#506422) - thanks to Frank
    Damgaard

 -- Guido Günther <agx@sigxcpu.org>  Sun, 23 Nov 2008 14:25:43 +0100

arcboot (0.3.11) unstable; urgency=low

  * [e3aad1a] Update swedish translation (Closes: #491933) 
    - thanks to Martin Bagge
  * [468c15d] Add russion debconf translation (Closes: #495124) 
    - thanks to Yuri Kozlov
  * [069c1cd] Update pt translation (Closes: #498650) 
    - thanks to Miguel Figueiredo
  * [fde5720] bump standards version
  * [9f74380] clarify description

 -- Guido Guenther <agx@sigxcpu.org>  Thu, 18 Sep 2008 12:55:44 +0200

=== debian/control ===
Source: arcboot
Section: admin
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Uploaders: Thiemo Seufer <ths@debian.org>
Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
Vcs-Git: http://honk.sigxcpu.org/git/arcboot.git/
Standards-Version: 3.8.0

Package: arcboot
Architecture: mips
Depends: dvhtool, ${misc:Depends}
Description: Bootloader for MIPS based SGI IP22 and IP32 machines
 arcboot is a bootloader for SGI IP22 and IP32 machines like the Indy, Indigo2
 and O2. It is able to boot the Linux kernel from ext2 and ext3 filesystems.
 Support for other ARCS based subarchitectures can easily be added. It is
 currently not capable of booting IRIX or to boot from iso9660 CDROMs though.

Package: tip22
Architecture: mips
Depends: binutils, file
Description: Tftp boot image builder for MIPS based SGI IP22 and IP32 machines
 tip22 is used to merge kernel and initrd into one bootable image. This
 image also contains a small loader stub that copies the kernel to its
 load address and appends the ramdisk. This is useful for booting via tftp or
 from a CDROM. It is currently targeted for the IP22 and IP32 subarchitectures
 but support for other ARCS based subarchitectures can easily be added.

=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,8 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-	-rm -f arcboot.ip22 arcboot.ip32
+	$(MAKE) clean
+	rm -f arcboot.ip22 arcboot.ip32
 
 	dh_clean
 
@@ -64,6 +64,9 @@
 	# install tip22 into debian/tip22
 	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C arclib install
 	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
+
+        # Install lintian overrides
+	cp debian/arcboot.lintian-overrides $(CURDIR)/debian/arcboot/usr/share/lintian/overrides/arcboot
 
 # Build architecture-independent files here.
 binary-indep: build install

## arcboot 0.3.12+nmu1

=== debian/changelog ===
arcboot (0.3.12+nmu1) unstable; urgency=low
  
  * Non-maintainer upload with maintainer approval.
  
  [ Aurelien Jarno ]
  * Add strcat() and memmove() to arclib/string.c, taken from kernel
    sources.  (Closes: #564237)

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
  * Vietnamese (Clytie Siddall).  (Closes: #509712)
  * Brazilian Portuguese (Eder L. Marques (frolic)).  (Closes: #511883)
  * Simplified Chinese (Ji ZhengYu).  (Closes: #562063)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Jan 2010 09:14:33 +0000

## arcboot 0.3.13

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,19 @@
 
 # default subarch
 SUBARCH ?= IP22
+
+ifeq ($(SUBARCH),IP22)
+KERNELADDR=0x88002000
+MAXLOADSIZE=0x1700000
+LOADADDR=0x88802000
+OUTPUTFORMAT=ecoff-bigmips
+endif
+ifeq ($(SUBARCH),IP32)
+KERNELADDR=0x80004000
+MAXLOADSIZE=0x1400000
+LOADADDR=0x81404000
+OUTPUTFORMAT=elf32-tradbigmips
+endif
 
 # these contain subarch independent files
 SUBARCH_INDEP_DIRS=	\
@@ -50,7 +63,7 @@
 endef
 
 define submake
-@$(MAKE) -C $(1) SUBARCH=$(SUBARCH) $(2)
+@$(MAKE) -C $(1) SUBARCH=$(SUBARCH) LOADADDR=$(LOADADDR) MAXLOADSIZE=$(MAXLOADSIZE) KERNELADDR=$(KERNELADDR) OUTPUTFORMAT=$(OUTPUTFORMAT) $(2)
 endef

=== tip22/Makefile ===
#
# Copyright 2002-2004 Guido Guenther <agx@sigxcpu.org>
#

ARCLIBDIR = ../arclib
ARCLIB = $(ARCLIBDIR)/libarc.a

COMMONDIR = ../common

CFLAGS += -O2 -I$(COMMONDIR) -I$(ARCLIBDIR) -Wall -mno-abicalls -G 0 \
	-fno-pic -DSUBARCH=${SUBARCH}

ASFLAGS = -O2 -mno-abicalls -G 0 -fno-pic

LIBDIR ?= /usr/lib/tip22
BINDIR ?= /usr/sbin

LIBS=${ARCLIB}
BINS=tip22 tip32
LD_SCRIPTS = ld.kernel.script.$(SUBARCH) ld.ramdisk.script.$(SUBARCH) ld.script.$(SUBARCH)
OBJECTS = tftpload.$(SUBARCH).o
TARGETS = $(OBJECTS) $(LD_SCRIPTS)

# uncomment for debugging
#CFLAGS+=-DDEBUG


all: ${LIBS} ${BINS}
	@$(MAKE) SUBARCH=IP32 archall
	@$(MAKE) SUBARCH=IP22 archall

archall: $(TARGETS)


$(ARCLIB):
	@$(MAKE) -C $(ARCLIBDIR)

$(PRINT_LOADADDR):
	@$(MAKE) -C $(COMMONDIR) SUBARCH=$(SUBARCH)


%.$(SUBARCH).o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.script.$(SUBARCH): %.script.in
	LOADADDR=$(LOADADDR);					\
	OUTPUTFORMAT=$(OUTPUTFORMAT);				\
	sed -e "s/@@LOADADDR@@/$$LOADADDR/"			\
	-e "s/@@OUTPUTFORMAT@@/$$OUTPUTFORMAT/" <$< >$@

clean:
	@$(MAKE) SUBARCH=IP32 archclean
	@$(MAKE) SUBARCH=IP22 archclean
	rm -f tags *~

archclean:
	@$(MAKE) -C $(ARCLIBDIR) clean
	@$(MAKE) -C $(COMMONDIR) clean
	rm -f $(TARGETS)

install: all
	install -d ${PREFIX}/${BINDIR}
	install -m 755 ${BINS} ${PREFIX}/${BINDIR}
	@$(MAKE) SUBARCH=IP32 archinstall
	@$(MAKE) SUBARCH=IP22 archinstall

archinstall:
	$(foreach tg,$(TARGETS),install -m 644 $(tg) ${PREFIX}/${LIBDIR};)


.PHONY: all archall clean archclean install archinstall

=== debian/changelog ===
arcboot (0.3.13) unstable; urgency=low

  [ Florian Lohoff ]
  * [0b1d5fa] Add strcat and memmove for newer libext2fs
  * [9b278b0] Remove print_loadaddr and print_outputformat
  * [857d339] Explicitly give in the args of the start64 asm stub
  * [e845b67] Drop .gnu.att which is LOAD and virtual address 0

  [ Guido Günther ]
  * [f2f5a94] Drop duplicate memmove/strcat functions
  * Acknowledge NMU (Closes: #564920) - thanks Aurelien
  * [6509fa0] Bump standards version
  * [2436fa1] Remove Thiemo from uploaders - we miss you!
  * [34b7c4a] Add homepage link
  * [8893c6c] Add ${misc:Depends}

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 May 2010 18:03:52 +0200

## arcboot 0.3.14+squeeze0

=== Makefile ===
--- 
+++ 
@@ -11,24 +11,26 @@
 KERNELADDR=0x88002000
 MAXLOADSIZE=0x1700000
 LOADADDR=0x88802000
+TIP_LOADADDR=0x89702000
 OUTPUTFORMAT=ecoff-bigmips
 endif
 ifeq ($(SUBARCH),IP32)
 KERNELADDR=0x80004000
 MAXLOADSIZE=0x1400000
 LOADADDR=0x81404000
+TIP_LOADADDR=$(LOADADDR)
 OUTPUTFORMAT=elf32-tradbigmips
 endif
 
 # these contain subarch independent files
 SUBARCH_INDEP_DIRS=	\
-	arclib		\
-	tip22
+	arclib
 
 # these contain subarch dependent files
 SUBARCH_DIRS=		\
 	common		\
-	ext2load
+	ext2load        \
+	tip22
 
 define indep-tgt
 $(foreach sd,$(SUBARCH_INDEP_DIRS),$(1)-subarch-indep-$(sd))
@@ -63,7 +65,13 @@
 endef
 
 define submake
-@$(MAKE) -C $(1) SUBARCH=$(SUBARCH) LOADADDR=$(LOADADDR) MAXLOADSIZE=$(MAXLOADSIZE) KERNELADDR=$(KERNELADDR) OUTPUTFORMAT=$(OUTPUTFORMAT) $(2)
+@$(MAKE) -C $(1) SUBARCH=$(SUBARCH)           \
+                 LOADADDR=$(LOADADDR)         \
+                 TIP_LOADADDR=$(TIP_LOADADDR) \
+                 MAXLOADSIZE=$(MAXLOADSIZE)   \
+                 KERNELADDR=$(KERNELADDR)     \
+                 OUTPUTFORMAT=$(OUTPUTFORMAT) \
+                 $(2)
 endef

=== ext2load/Makefile ===
--- 
+++ 
@@ -36,10 +36,10 @@
 	$(LD) $(LDFLAGS) -o $@ $(OBJECTS) $(LIBS)
 
 ld.script: ld.script.in
-	$(MAKE) -C ../common SUBARCH=$(SUBARCH) print_loadaddr
-	LOADADDR=$$(../common/print_loadaddr $(SUBARCH));	 	\
-	OUTPUTFORMAT=$$(../common/print_outputformat $(SUBARCH));	\
-	sed -e "s/@@LOADADDR@@/$$LOADADDR/"				\
+	$(MAKE) -C ../common SUBARCH=$(SUBARCH)
+	LOADADDR=$(LOADADDR);	 				\
+	OUTPUTFORMAT=$(OUTPUTFORMAT);				\
+	sed -e "s/@@LOADADDR@@/$$LOADADDR/"			\
 	-e "s/@@OUTPUTFORMAT@@/$$OUTPUTFORMAT/" <$< >$@
 
 install:

=== tip22/Makefile ===
#
# Copyright 2002-2004,2011 Guido Guenther <agx@sigxcpu.org>
#

ARCLIBDIR = ../arclib
ARCLIB = $(ARCLIBDIR)/libarc.a

COMMONDIR = ../common

CFLAGS += -O2 -I$(COMMONDIR) -I$(ARCLIBDIR) -Wall -mno-abicalls -G 0 \
	-fno-pic -DSUBARCH=${SUBARCH}

ASFLAGS = -O2 -mno-abicalls -G 0 -fno-pic

LIBDIR ?= /usr/lib/tip22
BINDIR ?= /usr/sbin

LIBS=${ARCLIB}
BINS=tip22 tip32
LD_SCRIPTS = ld.kernel.script.$(SUBARCH) ld.ramdisk.script.$(SUBARCH) ld.script.$(SUBARCH)
OBJECTS = tftpload.$(SUBARCH).o
TARGETS = $(OBJECTS) $(LD_SCRIPTS)

# uncomment for debugging
#CFLAGS+=-DDEBUG

all: ${LIBS} ${BINS} $(TARGETS)

$(ARCLIB):
	@$(MAKE) -C $(ARCLIBDIR)

%.$(SUBARCH).o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

%.script.$(SUBARCH): %.script.in
	LOADADDR=$(TIP_LOADADDR);				\
	OUTPUTFORMAT=$(OUTPUTFORMAT);				\
	sed -e "s/@@LOADADDR@@/$$LOADADDR/"			\
	-e "s/@@OUTPUTFORMAT@@/$$OUTPUTFORMAT/" <$< >$@

clean:
	rm -f tags *~
	rm -f $(TARGETS)

install: all
	install -d ${PREFIX}/${BINDIR}
	install -m 755 ${BINS} ${PREFIX}/${BINDIR}
	$(foreach tg,$(TARGETS),install -m 644 $(tg) ${PREFIX}/${LIBDIR};)


.PHONY: all archall clean archclean install archinstall

=== debian/changelog ===
arcboot (0.3.14+squeeze0) stable; urgency=low

  * This upload fixes the netinstall on IP22 and IP32
  * [5e61c13] tip22: Drop .gnu.att section mapped add VMA 0
  * [01c99b5] Move the tip22 image to 0x89702000 on IP22 as described in
    #452798. Thanks to Edwin Kwan for analyzing this.
  * [399eff1] Fix address substitution for IP32. It was being handled as IP22
    in tip22.
  * [acd5d82] Cleanup all subarches

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Jun 2011 23:38:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
-Uploaders: Thiemo Seufer <ths@debian.org>
 Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
-Vcs-Git: http://honk.sigxcpu.org/git/arcboot.git/
-Standards-Version: 3.8.0
+Vcs-Git: git://honk.sigxcpu.org/git/arcboot.git/
+Homepage: https://honk.sigxcpu.org/piki/projects/arcboot/
+Standards-Version: 3.8.4
 
 Package: arcboot
 Architecture: mips
@@ -18,7 +18,7 @@
 
 Package: tip22
 Architecture: mips
-Depends: binutils, file
+Depends: ${misc:Depends}, binutils, file
 Description: Tftp boot image builder for MIPS based SGI IP22 and IP32 machines
  tip22 is used to merge kernel and initrd into one bootable image. This
  image also contains a small loader stub that copies the kernel to its

=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,10 @@
 	dh_testdir
 	rm -f build-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
-	$(MAKE) clean
+	$(MAKE) SUBARCH=IP32 clean
+	$(MAKE) SUBARCH=IP22 clean
 	rm -f arcboot.ip22 arcboot.ip32
+
 
 	dh_clean
 
@@ -63,7 +64,8 @@
 
 	# install tip22 into debian/tip22
 	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C arclib install
-	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
+	$(MAKE) SUBARCH=IP22 PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
+	$(MAKE) SUBARCH=IP32 PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
 
         # Install lintian overrides
 	cp debian/arcboot.lintian-overrides $(CURDIR)/debian/arcboot/usr/share/lintian/overrides/arcboot
